Bug 517733 - compiz screenshot plugin does not work properly
Summary: compiz screenshot plugin does not work properly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 11
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-16 13:07 UTC by Peter Janakiev
Modified: 2018-04-11 07:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-06 14:25:18 UTC
Type: ---


Attachments (Terms of Use)
screen shot demoing the issue (249.25 KB, image/png)
2009-08-16 13:07 UTC, Peter Janakiev
no flags Details

Description Peter Janakiev 2009-08-16 13:07:57 UTC
Created attachment 357573 [details]
screen shot demoing the issue

Description of problem:
When I activate the plugin the resulting png image displays all main GTK windows as transparent, only notebook widgets is seen and some other, but mostly all gTK elements are transparent. This affects also the animation plugin and the fade plugin, as fade tries to decrease the transparency and the resulting fading windows are displayed as white, regardless of the color scheme applied. 

Screen shot attached. 


Version-Release number of selected component (if applicable):
compiz.i586    0.7.8-19.fc11             
How reproducible:
Always

Steps to Reproduce:
1. Start compiz on intel 965
2. make sure to activate screenshot or fade plugin
3. try using them
  
Actual results:
The windows appear as transparent and thus the plugins do not produce the expected result

Expected results:
normal plugin display effect on the screen/normal png screenshot of the dusplay

Additional info:
I suspect this has something to do with the new GTK, maybe some setting to the GTK initialization? It might also be related to KMS? Or compiz itself? 
This affects all engines, nodoka, murrine, clearlooks.

Comment 2 Matěj Cepl 2009-11-05 18:36:23 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 3 Peter Janakiev 2009-11-06 14:24:43 UTC
Issue has been resolved with Xorg component update month ago or more. I just forgot the report.

Comment 4 Matěj Cepl 2009-11-09 10:19:23 UTC
Thank you for letting us know.


Note You need to log in before you can comment on or make changes to this bug.